com.rscja.team.qcom.custom

## Class UHFTemperatureTagsAPI_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.deviceapi.RFIDWithUHFAxBase_qcom
      - - com.rscja.team.qcom.deviceapi.RFIDWithUHFA4_qcom
        - - com.rscja.team.qcom.custom.UHFTemperatureTagsAPI_qcom

- All Implemented Interfaces:
    IUHFTemperatureTagsAPI, IHandheldRFID, IMultipleAntenna, IRFIDWithUHFA4, ISingleAntenna, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart

      public class UHFTemperatureTagsAPI_qcom
      extends RFIDWithUHFA4_qcom
      implements IUHFTemperatureTagsAPI

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<UHFTemperatureTagsAPI.TagState>` | `checkTagState()`
    `java.util.List<UHFTemperatureTagsAPI.TagState>` | `checkTagState(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)` 检查测温状态
    `static UHFTemperatureTagsAPI_qcom` | `getInstance()`
    `boolean` | `initRegFile(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)`
    `UHFTemperatureTagsAPI.MultipleTemperatureInfo` | `readMultipleTemperature(int jstart, int jnum)`
    `UHFTemperatureTagsAPI.MultipleTemperatureInfo` | `readMultipleTemperature(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int jstart, int jnum)`
    `boolean` | `readTagTemp(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float[] readTemp)`
    `boolean` | `readTagVoltage(float[] outVoltage)`
    `boolean` | `readTagVoltage(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float[] outVoltage)`
    `boolean` | `setEPCAndTemperatureMode()` 设置盘点标签为EPC+温度模式
    `void` | `setInventoryCallback(UHFTemperatureTagsAPI.IUHFInventoryTempCallback tempCallback)` 盘点温度标签回调
    `boolean` | `startLogging(float min_temp, float max_temp, int work_delay, int work_interval)`
    `boolean` | `startLogging(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float min_temp, float max_temp, int work_delay, int work_interval)` 开始测量温度
    `boolean` | `stopLogging(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String pwd)` 停止测量温度
    `boolean` | `stopLogging(java.lang.String pwd)`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFA4_qcom

      `buzzer, free, getANT, inputStatus, led, output1Off, output1On, output2Off, output2On, output3Off, output3On, output4Off, output4On, outputWgData0Off, outputWgData0On, outputWgData1Off, outputWgData1On, setANT, successNotify`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFAxBase_qcom

      `buzzerOn, getAntennaConnectState, getAntennaPower, getAntennaPower, readTagFromBuffer, setAntennaPower, startInventoryTag`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndTIDUserModeEx, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getAntennaPower, getAntennaPower, setAntennaPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static UHFTemperatureTagsAPI_qcom getInstance()

    - #### initRegFile

          public boolean initRegFile(int filterBank,
                                     int filterPtr,
                                     int filterCnt,
                                     java.lang.String filterData)

      Specified by:
        `initRegFile` in interface `IUHFTemperatureTagsAPI`

    - #### readTagTemp

          public boolean readTagTemp(int filterBank,
                                     int filterPtr,
                                     int filterCnt,
                                     java.lang.String filterData,
                                     float[] readTemp)

      Specified by:
        `readTagTemp` in interface `IUHFTemperatureTagsAPI`

    - #### startLogging

          public boolean startLogging(float min_temp,
                                      float max_temp,
                                      int work_delay,
                                      int work_interval)

      Specified by:
        `startLogging` in interface `IUHFTemperatureTagsAPI`

    - #### startLogging

          public boolean startLogging(int filterBank,
                                      int filterPtr,
                                      int filterCnt,
                                      java.lang.String filterData,
                                      float min_temp,
                                      float max_temp,
                                      int work_delay,
                                      int work_interval)

      开始测量温度
      Specified by:
        `startLogging` in interface `IUHFTemperatureTagsAPI`
      Parameters:
        `filterBank` - 过滤的存储区 :`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤
        `filterData` - 过滤的数据
        `min_temp` - 最低温度
        `max_temp` - 最高温度
        `work_delay` - 第一次延时多久获取
        `work_interval` - 间隔时间
      Returns:
        true:成功(success) false:失败(failure)

    - #### stopLogging

          public boolean stopLogging(java.lang.String pwd)

      Specified by:
        `stopLogging` in interface `IUHFTemperatureTagsAPI`

    - #### stopLogging

          public boolean stopLogging(int filterBank,
                                     int filterPtr,
                                     int filterCnt,
                                     java.lang.String filterData,
                                     java.lang.String pwd)

      停止测量温度
      Specified by:
        `stopLogging` in interface `IUHFTemperatureTagsAPI`
      Parameters:
        `filterBank` - 过滤的存储区 :`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤
        `filterData` - 过滤的数据
        `pwd` - 密码
      Returns:
        true:成功(success) false:失败(failure)

    - #### checkTagState

          public java.util.List<UHFTemperatureTagsAPI.TagState> checkTagState()

      Specified by:
        `checkTagState` in interface `IUHFTemperatureTagsAPI`

    - #### checkTagState

          public java.util.List<UHFTemperatureTagsAPI.TagState> checkTagState(int filterBank,
                                                                              int filterPtr,
                                                                              int filterCnt,
                                                                              java.lang.String filterData)

      检查测温状态
      Specified by:
        `checkTagState` in interface `IUHFTemperatureTagsAPI`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTemperatureMode

          public boolean setEPCAndTemperatureMode()

      设置盘点标签为EPC+温度模式
      Specified by:
        `setEPCAndTemperatureMode` in interface `IUHFTemperatureTagsAPI`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setInventoryCallback

          public void setInventoryCallback(UHFTemperatureTagsAPI.IUHFInventoryTempCallback tempCallback)

      盘点温度标签回调
      Specified by:
        `setInventoryCallback` in interface `IUHFTemperatureTagsAPI`

    - #### readMultipleTemperature

          public UHFTemperatureTagsAPI.MultipleTemperatureInfo readMultipleTemperature(int filterBank,
                                                                                       int filterPtr,
                                                                                       int filterCnt,
                                                                                       java.lang.String filterData,
                                                                                       int jstart,
                                                                                       int jnum)

      Specified by:
        `readMultipleTemperature` in interface `IUHFTemperatureTagsAPI`

    - #### readMultipleTemperature

          public UHFTemperatureTagsAPI.MultipleTemperatureInfo readMultipleTemperature(int jstart,
                                                                                       int jnum)

      Specified by:
        `readMultipleTemperature` in interface `IUHFTemperatureTagsAPI`

    - #### readTagVoltage

          public boolean readTagVoltage(int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        float[] outVoltage)

      Specified by:
        `readTagVoltage` in interface `IUHFTemperatureTagsAPI`

    - #### readTagVoltage

          public boolean readTagVoltage(float[] outVoltage)

      Specified by:
        `readTagVoltage` in interface `IUHFTemperatureTagsAPI`